@anonymous-piwik-user opened this Issue on November 27th 2008

While attempting to upgrade 0.2.9 to 0.2.24, I'm finding MySQL unable to handle the upgrade.

It would appear that some parts of the upgrade process fail because the table 'option' is a MySQL reserved word (see http://dev.mysql.com/doc/refman/5.0/en/reserved-words.html) and it is not escaped correctly. The upgrade process has the following error:

Error trying to create the option table in Mysql: SQLSTATE[42S01]: Base table or view already exists: 1050 Table 'option' already exists

But this would appear to be a by-product of something else wrong (attempting to delete the table? Not sure yet)

Please note that this broken upgrade appears to have more or less completely botched my installation and it would be worthwhile to put a warning for people downloading this version that it's a problem.

@anonymous-piwik-user commented on November 27th 2008

Please also note that installing 0.2.24 without a table prefix will result in the first page after installation stating that a database upgrade is available, which will of course fail.

@mattab commented on November 27th 2008 Owner

this should be fixed in [777] Please try release 0.2.25 (to be released)

This Issue was closed on August 14th 2009
Powered by GitHub Issue Mirror